diff -ruN Original/libraries/libdxfrw/src/drw_base.h New/libraries/libdxfrw/src/drw_base.h
--- Original/libraries/libdxfrw/src/drw_base.h	2016-12-05 02:45:05.000000000 +0530
+++ New/libraries/libdxfrw/src/drw_base.h	2016-12-28 10:54:51.728343000 +0530
@@ -83,7 +83,7 @@
 BAD_UNKNOWN,          /*!< UNKNOWN. */
 BAD_OPEN,             /*!< error opening file. */
 BAD_VERSION,          /*!< unsupported version. */
-BAD_READ_METADATA,    /*!< error reading matadata. */
+BAD_READ_METADATA,    /*!< error reading metadata. */
 BAD_READ_FILE_HEADER, /*!< error in file header read process. */
 BAD_READ_HEADER,      /*!< error in header vars read process. */
 BAD_READ_HANDLES,     /*!< error in object map read process. */
@@ -287,7 +287,7 @@
 //! Class to convert between line width and integer
 /*!
 *  Class to convert between line width and integer
-*  verifing valid values, if value is not valid
+*  verifying valid values, if value is not valid
 *  returns widthDefault.
 *  @author Rallaz
 */
diff -ruN Original/libraries/libdxfrw/src/drw_entities.cpp New/libraries/libdxfrw/src/drw_entities.cpp
--- Original/libraries/libdxfrw/src/drw_entities.cpp	2016-12-05 02:45:05.000000000 +0530
+++ New/libraries/libdxfrw/src/drw_entities.cpp	2016-12-28 10:55:44.322877000 +0530
@@ -16,9 +16,9 @@
 #include "intern/dwgbuffer.h"
 #include "intern/drw_dbg.h"
 
-//! Calculate arbitary axis
+//! Calculate arbitrary axis
 /*!
-*   Calculate arbitary axis for apply extrusions
+*   Calculate arbitrary axis for apply extrusions
 *  @author Rallaz
 */
 void DRW_Entity::calculateAxis(DRW_Coord extPoint){
@@ -49,9 +49,9 @@
     extAxisY.unitize();
 }
 
-//! Extrude a point using arbitary axis
+//! Extrude a point using arbitrary axis
 /*!
-*   apply extrusion in a point using arbitary axis (previous calculated)
+*   apply extrusion in a point using arbitrary axis (previous calculated)
 *  @author Rallaz
 */
 void DRW_Entity::extrudePoint(DRW_Coord extPoint, DRW_Coord *point){
diff -ruN Original/libraries/libdxfrw/src/drw_entities.h New/libraries/libdxfrw/src/drw_entities.h
--- Original/libraries/libdxfrw/src/drw_entities.h	2016-12-05 02:45:05.000000000 +0530
+++ New/libraries/libdxfrw/src/drw_entities.h	2016-12-28 10:58:21.639658000 +0530
@@ -29,13 +29,13 @@
    //! Entity's type.
     enum ETYPE {
         E3DFACE,
-//        E3DSOLID, //encripted propietry data
+//        E3DSOLID, //encrypted proprietary data
 //        ACAD_PROXY_ENTITY,
         ARC,
 //        ATTDEF,
 //        ATTRIB,
         BLOCK,// and ENDBLK
-//        BODY, //encripted propietry data
+//        BODY, //encrypted proprietary data
         CIRCLE,
         DIMENSION,
         DIMALIGNED,
@@ -64,14 +64,14 @@
         POINT,
         POLYLINE,
         RAY,
-//        REGION, //encripted propietry data
+//        REGION, //encrypted proprietary data
 //        SECTION,
 //        SEQEND,//not needed?? used in polyline and insert/attrib and dwg
 //        SHAPE,
         SOLID,
         SPLINE,
 //        SUN,
-//        SURFACE, //encripted propietry data can be four types
+//        SURFACE, //encrypted proprietary data can be four types
 //        TABLE,
         TEXT,
 //        TOLERANCE,
diff -ruN Original/libraries/libdxfrw/src/drw_interface.h New/libraries/libdxfrw/src/drw_interface.h
--- Original/libraries/libdxfrw/src/drw_interface.h	2016-12-05 02:45:05.000000000 +0530
+++ New/libraries/libdxfrw/src/drw_interface.h	2016-12-28 10:58:44.228114000 +0530
@@ -20,7 +20,7 @@
 #include "drw_header.h"
 
 /**
- * Abstract class (interface) for comunicate dxfReader with the application.
+ * Abstract class (interface) for communicate dxfReader with the application.
  * Inherit your class which takes care of the entities in the 
  * processed DXF file from this interface. 
  *
diff -ruN Original/libraries/libdxfrw/src/drw_objects.cpp New/libraries/libdxfrw/src/drw_objects.cpp
--- Original/libraries/libdxfrw/src/drw_objects.cpp	2016-12-05 02:45:05.000000000 +0530
+++ New/libraries/libdxfrw/src/drw_objects.cpp	2016-12-28 10:59:36.045331000 +0530
@@ -690,7 +690,7 @@
         DRW_DBG(" xrefindex: "); DRW_DBG(xrefindex); DRW_DBG("\n");
     }
     flags |= buf->getBit() << 4;//is refx dependent, block code 70, bit 5 (16)
-    flags |= buf->getBit(); //if is anonimous block (*U) block code 70, bit 1 (1)
+    flags |= buf->getBit(); //if is anonymous block (*U) block code 70, bit 1 (1)
     flags |= buf->getBit() << 1; //if block contains attdefs, block code 70, bit 2 (2)
     bool blockIsXref = buf->getBit(); //if is a Xref, block code 70, bit 3 (4)
     bool xrefOverlaid = buf->getBit(); //if is a overlaid Xref, block code 70, bit 4 (8)
diff -ruN Original/libraries/libdxfrw/src/main_doc.h New/libraries/libdxfrw/src/main_doc.h
--- Original/libraries/libdxfrw/src/main_doc.h	2016-12-05 02:45:05.000000000 +0530
+++ New/libraries/libdxfrw/src/main_doc.h	2016-12-28 11:00:12.083330000 +0530
@@ -5,10 +5,10 @@
  * This manual documents the use of <b>libdxfrw</b>.
  * 
  * With libdxfrw you can read and write several parts of a dxf files.<p>
- * Dxf files can be written in assci and binary form, both are supported.<p>
+ * Dxf files can be written in ascii and binary form, both are supported.<p>
  * Dwg support (only read) are work in progress.<p>
  * 
  * the complete documentation and examples are pending to free time,
- * but to start see DRW_Interface, dxfRW & dwgR, clases
+ * but to start see DRW_Interface, dxfRW & dwgR, classes
   */
 
